linux kernel patches for newer kernels

andreaandrea New Member Posts: 6
Dear all,
I need to run on the UpBoard a recent kernel like 4.11-rcXX or 4.10.9 or 4.9.21.
I tried to extract some patches from older kernels in order to patch the newest kernels and have the UpBoard working fine, but I'm still experiencing board freeze or not working HDMI audio.
Could someone suggest where to download some working patches for these kernels?
Thank you,
Andrea

Comments

  • DCleriDCleri Administrator, AAEON Posts: 592 admin
    Hi Andrea,

    I am sorry for the late reply.
    Since 4.11 kernel the HDMI audio works out of the box on UP Board.

    The 4.11 kernel was tested from mainline PPA kernel with Ubuntu 16.04, but it lacks the 40pin I/O support: http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.11/

    We are going to release later in June an updated ubilinux with support for UP and UP Squared (including I/O) based on Kernel 4.9 LTS and Debian 9 Stretch. The kernel sources will be available upon release.

    UP specific patches are available only for 4.4 kernel: https://github.com/emutex/meta-up-board/tree/krogoth/recipes-kernel/linux/files (those are from Yocto but also debian patches are available)
    HDMI Audio patches are available from this GitHUB repository: https://github.com/plbossart/sound/tree/byt-cht-hdmi-v4.9 (also available for other kernel versions)

    Thanks
  • Shawn RansfordShawn Ransford New Member Posts: 20
    Where can I find the 4.4 Kernel patches for Debian? I am not a big Yocto fan, but it looks like some of those patches may correct issues I am having in Ubilinux/Ubuntu.

    Any update on getting Debian Stretch for UP?
  • DCleriDCleri Administrator, AAEON Posts: 592 admin
    Hi bogaat, from ubilinux you can download the up board kernel source package via apt.

    We are working on updating the kernel and release a new ubilinux 4.0 (Based on Debian 9 Stretch) early August.

    It has been released as beta with support only for UP Squared. We are now extending the support to UP Board and UP Core.
  • Shawn RansfordShawn Ransford New Member Posts: 20
    I saw that some of the Yocto patches may correct an issue I am having. Are there similar patches for Debian? You mention them in the first post here...just wondering where I can find them or if those will also work for Debian?
    Thanks!
  • DCleriDCleri Administrator, AAEON Posts: 592 admin
    What Yocto patches are you referring to?
    Are there from our Yocto meta layer or included in more recent Intel layers?
  • Shawn RansfordShawn Ransford New Member Posts: 20
    Your notes from above...
    UP specific patches are available only for 4.4 kernel: github.com/emutex/meta-up-board/tree/kro...s-kernel/linux/files (those are from Yocto but also debian patches are available)
  • DCleriDCleri Administrator, AAEON Posts: 592 admin
    Ok, so you are referring to our Yocto patches.

    After a customer engagement, we added few more patches on the Yocto meta layer, but they weren't ported to Debian or Ubuntu.

    You can try to add those I2C patches to the current Debian Kernel.

    We are now focused on releasing the newer Kernel 4.9 to support all the UP platforms which will be released starting from early August.
Sign In or Register to comment.